<?php
declare(strict_types=1);

namespace Lewisdale\App\Controllers;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Log\LoggerInterface;
use Slim\Views\Twig;

class SampleController
{
    public function __construct(
        private readonly Twig $view,
        private readonly LoggerInterface $logger
    ) {}

    public function get(ServerRequestInterface $request, ResponseInterface $response)
    {
        $this->logger->info("SampleController::get() called");
        return $this->view->render($response, 'index.twig.html');
    }
}