<?php declare(strict_types=1);

namespace Lewisdale\App\Logging;

use DateTime;
use Psr\Log\AbstractLogger;
use Stringable;

class FileLogger extends AbstractLogger
{
    function __construct(private readonly string $filename = 'php://stdout') {}
    public function log($level, Stringable|string $message, array $context = []): void
    {
        $timestamp = new DateTime();
        $callingClass = debug_backtrace()[2]['class'];
        $callingFunction = debug_backtrace()[2]['function'];
        $log = $timestamp->format(DATE_ATOM) . " [$level] $callingClass::$callingFunction $message " . json_encode($context);
        fwrite(fopen($this->filename, 'w'), $log . PHP_EOL);
    }
}

