<?php
declare(strict_types=1);


namespace Lewisdale\App\Models\Types;

use Doctrine\DBAL\Platforms\AbstractPlatform;
use Doctrine\DBAL\Types\Type;

class XMLElement extends Type
{
    const NAME = 'xml_element';

    public function getSQLDeclaration(array $column, AbstractPlatform $platform): string
    {
        return 'TEXT';
    }

    public function convertToPHPValue($value, AbstractPlatform $platform)
    {
        if ($value === null) {
            return null;
        }
        return simplexml_load_string($value);
    }

    public function convertToDatabaseValue($value, AbstractPlatform $platform)
    {
        if ($value instanceof \SimpleXMLElement) {
            return $value->asXML();
        } else {
            return $value;
        }
    }

    public function getName(): string
    {
        return self::NAME;
    }
}