<?php
declare(strict_types=1);


namespace Lewisdale\App\TwigExtensions;

use Slim\Csrf\Guard;
use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class CsrfExtension extends AbstractExtension
{
    protected Guard $guard;

    public function __construct(Guard $guard)
    {
        $this->guard = $guard;
    }

    public function getFunctions() : array
    {
        return [
            new TwigFunction('csrf', [$this, 'csrf'])
        ];
    }

    public function csrf() : string
    {
        $nameKey = $this->guard->getTokenNameKey();
        $nameValue = $this->guard->getTokenName();
        $tokenKey = $this->guard->getTokenValueKey();
        $tokenValue = $this->guard->getTokenValue();

        return "
            <input type=\"hidden\" name=\"$nameKey\" value=\"$nameValue\">
            <input type=\"hidden\" name=\"$tokenKey\" value=\"$tokenValue\">
        ";
    }
}